## org.openqa.selenium.server.browserlaunchers
Class ResourceExtractor

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.ResourceExtractor

    public class ResourceExtractor

extends java.lang.Object

Constructor Summary
`ResourceExtractor()`

Method Summary
`static java.io.File` `extractResourcePath(java.lang.Class cl, java.lang.String resourcePath, java.io.File dest)`
`static java.io.File` `extractResourcePath(java.lang.String resourcePath, java.io.File dest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceExtractor

    public ResourceExtractor()

Method Detail

### extractResourcePath

    public static java.io.File extractResourcePath(java.lang.String resourcePath,
                                                   java.io.File dest)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### extractResourcePath

    public static java.io.File extractResourcePath(java.lang.Class cl,
                                                   java.lang.String resourcePath,
                                                   java.io.File dest)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2009. All Rights Reserved.